Subject: Re: linux-next: build warnings after merge of the net-next tree

From: Thomas Petazzoni <[email-masked]>
Date: Tue, 22 Nov 2016 09:23:38 +0100

Hello,

On Mon, 21 Nov 2016 17:28:39 -0800, Florian Fainelli wrote:
> +Thomas, Gregory,
> 
> On 11/21/2016 05:22 PM, Stephen Rothwell wrote:
> [snip]
> > 
> > Introduced by commit
> > 
> >   a0627f776a45 ("net: marvell: Allow drivers to be built with COMPILE_TEST")
> > 
> > "a few warnings" is a matter of perception.  :-(  
> 
> Thomas, based on our IRC conversation, do you already have patches for
> mvneta and mvpp2 to build without warning on 64-bit or should I prepare
> patches for these?

Yes, we already have patches for making mvneta and mvpp2 build without
warning for 64-bit (Grégory for mvneta, and myself for mvpp2). I
intended to send the mvpp2 ones together with patches adding support
for a new variant of the IP, but I guess I can send just the few ones
that make it 64-bit "buildable".

Best regards,

Thomas
-- 
Thomas Petazzoni, CTO, Free Electrons
Embedded Linux and Kernel engineering
http://free-electrons.com